/***************************************************************
 * Proyecto CoMVeT                                             *
 * Proyecto de fin de carrera de Daniel Hctor Stolfi Rosso    *
 * Escuela Tcnica Superior de Ingeniera Informtica          *
 * Universidad de Mlaga - 2010                                *
 *                                                             *
 * ConexionCasco.cpp                                           *
 * Clase hija de Conexion que particulariza la conexin con el *
 * casco emotiv (implementacin)                               *
 *                                                             *
 ***************************************************************/
//---------------------------------------------------------------------------

#pragma hdrstop

#include "ConexionCasco.h"
#include "edk.h"
#include "edkErrorCode.h"
#include "EmoStateDLL.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)

bool TConexionCasco::conectar()
{
   error = EE_EngineConnect();
   return (error == EDK_OK);
}
