/***************************************************************
 * Proyecto CoMVeT                                             *
 * Proyecto de fin de carrera de Daniel Hctor Stolfi Rosso    *
 * Escuela Tcnica Superior de Ingeniera Informtica          *
 * Universidad de Mlaga - 2010                                *
 *                                                             *
 * ConexionEmulador.cpp                                        *
 * Clase hija de Conexion que particulariza la conexin con el *
 * emulador emoComposer (implementacin)                       *
 *                                                             *
 ***************************************************************/
//---------------------------------------------------------------------------

#pragma hdrstop

#include "ConexionEmulador.h"
#include "edk.h"
#include "edkErrorCode.h"
#include "EmoStateDLL.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)

TConexionEmulador::TConexionEmulador(const char* ip, unsigned short puerto)
{
   strcpy(this->ip,ip);
   this->puerto = puerto;
}

bool TConexionEmulador::conectar()
{
   error = EE_EngineRemoteConnect(ip, puerto);
   return (error == EDK_OK);
}


