/***************************************************************
 * Proyecto CoMVeT                                             *
 * Proyecto de fin de carrera de Daniel Hctor Stolfi Rosso    *
 * Escuela Tcnica Superior de Ingeniera Informtica          *
 * Universidad de Mlaga - 2010                                *
 *                                                             *
 * Tipos.h                                                     *
 * Define los tipos y las enumaraciones a utilizar dentro del  *
 * programa.                                                   *
 *                                                             *
 ***************************************************************/
// ---------------------------------------------------------------------------
#ifndef TiposH
#define TiposH
// ---------------------------------------------------------------------------
/* Acciones */
typedef enum Accion {
   AC_Ninguna = 0, AC_Centro, AC_Adelante, AC_Atras
} AC_Accion_t;

/* Direccin de giro */
typedef enum Giro {
   GI_Ninguno = 0, GI_Izquierda, GI_Derecha
} GI_Giro_t;

/* Niveles de seal */
typedef enum Senal {
   SN_Ninguna = 0, SN_No, SN_Mala, SN_Buena
} SN_Senal_t;

/* Estados GUI */
typedef enum Estado {
   ES_Desconectado = 0, ES_NoDetectado, ES_Error, ES_Conectado, ES_Ruidoso, ES_Perfil, ES_NoSenal
} ES_Estado_t;

/* Tipo de Registro */
typedef enum Registro {
   RG_Estado = 0, RG_Mensaje, RG_Error
} RG_Registro_t;

#endif
