/***************************************************************
 * Proyecto CoMVeT                                             *
 * Proyecto de fin de carrera de Daniel Hctor Stolfi Rosso    *
 * Escuela Tcnica Superior de Ingeniera Informtica          *
 * Universidad de Mlaga - 2010                                *
 *                                                             *
 * About.h                                                     *
 * Ventana con la informacin de acerca de... (cabecera)       *
 *                                                             *
 ***************************************************************/
//----------------------------------------------------------------------------
#ifndef AboutH
#define AboutH
#include <Classes.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <StdCtrls.hpp>
//----------------------------------------------------------------------------
class TFAboutBox : public TForm
{
__published:
   TPanel *PanelAbout;
   TImage *ImageIconoPrograma;
   TLabel *LabelProducto;
   TLabel *LabelVersion;
   TLabel *LabelAutor;
   TLabel *LabelComentarios;
   TButton *ButtonAceptar;
   TLabel *LabelProyecto;
private:

public:
   /* Constructor */
   virtual __fastcall TFAboutBox(TComponent* AOwner);

   /* datos(UnicodeString producto, UnicodeString proyecto, UnicodeString autor, UnicodeString version)
      Asigna los valores a ser mostrados en la ventana */
   void datos(UnicodeString producto, UnicodeString proyecto, UnicodeString autor, UnicodeString version);
};
//----------------------------------------------------------------------------
extern PACKAGE TFAboutBox *FAboutBox;
//----------------------------------------------------------------------------
#endif    
