/***************************************************************
 * Proyecto CoMVeT                                             *
 * Proyecto de fin de carrera de Daniel Hctor Stolfi Rosso    *
 * Escuela Tcnica Superior de Ingeniera Informtica          *
 * Universidad de Mlaga - 2010                                *
 *                                                             *
 * ConexionEmulador.h                                          *
 * Clase hija de Conexion que particulariza la conexin con el *
 * emulador emoComposer (cabecera)                             *
 *                                                             *
 ***************************************************************/
//---------------------------------------------------------------------------

#ifndef ConexionEmuladorH
#define ConexionEmuladorH
#include "Conexion.h"
#include <_str.h>
//---------------------------------------------------------------------------
class TConexionEmulador : public TConexion
{
private:
   char ip[16];
   unsigned short puerto;
public:
   /* Constructor
      Se especifica la direccin ip y el puerto del emulador */
   TConexionEmulador(const char* ip, unsigned short puerto);

   /* conectar()
      Conecta con el emulador
      Devuelve true si no se han producido errores */
   virtual bool conectar();
};
#endif
